import { d as l, V as d, r as u, aw as f, c as _, o as x, w as g, i as t, j as w, A as D, l as r, X as b, __tla as __tla_0 } from "./index-9PRMimni.js";
import { _ as v } from "./seaconLogo-CQwr8ZvW.js";
import "./basicModal.vue_vue_type_style_index_0_lang-8QZP7ApW.js";
import "./ImageUpload.vue_vue_type_style_index_0_scoped_cb086928_lang-D-28kXvw.js";
import "./vuedraggable.umd-Co2xEC3p.js";
import "./BasicUpload.vue_vue_type_style_index_0_scoped_a4d0e930_lang-DxRbtP01.js";
import "./BasicForm.vue_vue_type_style_index_0_scoped_b9e995ec_lang-CEvcLwxD.js";
import "./BasicSelect.vue_vue_type_style_index_0_scoped_772d51cc_lang-Brp6PjEU.js";
import "./index-DkvzUEqh.js";
import { __tla as __tla_1 } from "./index.vue_vue_type_style_index_0_scoped_b974e5ec_lang-_0QwzFKM.js";
import "./Table.vue_vue_type_style_index_0_scoped_7b9e6ece_lang-BoW2DV_e.js";
import "./print-CT_2hrjP.js";
import { R as y } from "./jobOrder-CGbsc7bp.js";
import "./schemas-BmKi-UM9.js";
import { B as h, __tla as __tla_2 } from "./index-DPn-8SNy.js";
import "./props-CLtNejQT.js";
import { D as B, __tla as __tla_3 } from "./schemas-Co_OnTzv.js";
import "./componentSetting-DVhNDBTO.js";
import "./propTypes-CebMRUpe.js";
import "./index-kKnqLkWM.js";
import "./has-CjqcrIOV.js";
import "./Render.vue_vue_type_script_lang-DKUYY0Zw.js";
import "./componentMap-CElCaWis.js";
import "./format-DgF6KtHk.js";
import "./omit-B2_8Y6O_.js";
import "./_flatRest-DBrd2CHT.js";
import "./flatten-DeoUZLdb.js";
import "./requisitionOrder-D0IG9N7e.js";
import "./dictUtils-D8jA3mBt.js";
let rt;
let __tla = Promise.all([
    (()=>{
        try {
            return __tla_0;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_1;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_2;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_3;
        } catch  {}
    })()
]).then(async ()=>{
    let j, P;
    j = {
        class: "home-wrapper flex justify-between"
    };
    P = {
        class: "text-3xl font-bold flex items-center ml-6"
    };
    rt = l({
        __name: "JobOrderPrint",
        props: {
            componentData: {}
        },
        setup (i) {
            const a = i, { t: p } = d(), s = u();
            async function m() {
                const e = await y(a.componentData.id);
                s.value = e;
            }
            f(()=>{
                m();
            });
            const { schemas: n } = B();
            return (e, o)=>{
                const c = b;
                return x(), _(c, null, {
                    default: g(()=>[
                            t("div", j, [
                                t("h2", P, D(r(p)("jobOrderHistory.vesselManagementReport")), 1),
                                o[0] || (o[0] = t("div", {
                                    class: "logo-wrapper"
                                }, [
                                    t("img", {
                                        class: "w-[140px]",
                                        src: v,
                                        alt: "公司logo"
                                    })
                                ], -1))
                            ]),
                            o[1] || (o[1] = t("div", {
                                class: "w-full flex justify-center"
                            }, [
                                t("div", {
                                    class: "w-[95%] h-[2px] py-0 px-2 mb-0 mt-2 bg-black"
                                })
                            ], -1)),
                            w(r(h), {
                                "data-source": r(s),
                                descriptions: r(n),
                                titleFontSize: "20px"
                            }, null, 8, [
                                "data-source",
                                "descriptions"
                            ])
                        ]),
                    _: 1
                });
            };
        }
    });
});
export { rt as default, __tla };
